package emps.v2_obiektowo;

import java.util.List;

public class P5_MinMax_v3 {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        Employee max = emps.get(0);
        Employee min = emps.get(0);
        
        for(Employee emp : emps) {
            if(emp.getSalary() > max.getSalary()) {
                max = emp;
            }
            if(emp.getSalary() < min.getSalary()) {
                min = emp;
            }
        }
        
        System.out.println("Najbogatszy pracownik: " + max);
        System.out.println("Najbiedniejszy pracownik: " + min);
    }

}
